package com.cim.idm.mwmsextend.checkrecord.management.data;

import com.cim.idm.framework.orm.info.KeyInfo;

public class CheckRecordKey implements KeyInfo{
	
	private String planDate;
	private String checkPlanName;
	private String siteName;
	private String materialPackingName;
	private String actLocation;
	private String checkMaterialType;
	private String checkPackingType;
	
	public CheckRecordKey()
	{
		
	}
	public CheckRecordKey(String planDate,String checkPlanName,String siteName,String materialPackingName,String actLocation,String checkMaterialType,String checkPackingType)
	{
		this.planDate = planDate;
		this.checkPlanName = checkPlanName;
		this.siteName = siteName;
		this.materialPackingName = materialPackingName;
		this.actLocation = actLocation;
		this.checkMaterialType = checkMaterialType;
		this.checkPackingType = checkPackingType;
	}
	
	public String getCheckMaterialType() {
		return checkMaterialType;
	}
	public void setCheckMaterialType(String checkMaterialType) {
		this.checkMaterialType = checkMaterialType;
	}
	public String getCheckPackingType() {
		return checkPackingType;
	}
	public void setCheckPackingType(String checkPackingType) {
		this.checkPackingType = checkPackingType;
	}
	public String getPlanDate() {
		return planDate;
	}
	public void setPlanDate(String planDate) {
		this.planDate = planDate;
	}
	public String getCheckPlanName() {
		return checkPlanName;
	}
	public void setCheckPlanName(String checkPlanName) {
		this.checkPlanName = checkPlanName;
	}
	public String getSiteName() {
		return siteName;
	}
	public void setSiteName(String siteName) {
		this.siteName = siteName;
	}
	public String getMaterialPackingName() {
		return materialPackingName;
	}
	public void setMaterialPackingName(String materialPackingName) {
		this.materialPackingName = materialPackingName;
	}
	public String getActLocation() {
		return actLocation;
	}
	public void setActLocation(String actLocation) {
		this.actLocation = actLocation;
	}
}
